=== src/radiotray-ng/event_bus/CMakeLists.txt ===
add_library(event_bus STATIC event_bus.cpp event_bus.hpp)
