=== debian/changelog ===
radiotray-ng (0.2.8-0mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 06 Dec 2022 14:09:35 -0500

radiotray-ng (0.2.8) unstable; urgency=low

      * MATE media key support
      * Minor cleanup & bug fixes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 21 Aug 2021 12:48:02 -0700

radiotray-ng (0.2.7) unstable; urgency=low

      * Removed python2 dependency
      * Bookmark saving no longer includes default entries
      * Volume level changes using pavucontrol etc. are now detected
      * Minor cleanup & bug fixes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sun, 20 Oct 2019 13:53:10 -0700

radiotray-ng (0.2.6) unstable; urgency=low

      * Added disable-logging config option
      * Added Yaru & Breeze icons
      * Log & pid files now written to standard xdg locations
      * RPM packaging
      * get_player_state dbus now includes url information
      * Added dbus mute method
      * Minor build changes & bug fixes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sun, 07 Jul 2019 09:30:14 -0700

radiotray-ng (0.2.5) unstable; urgency=low

      * Updated & added new stations
      * Added dbus play_url method
      * Added initial m3u8 support
      * Various dbus & editor bug fixes
      * Added rtng-dbus & rtng2xml scripts

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Fri, 15 Mar 2019 22:57:10 -0700

radiotray-ng (0.2.4) unstable; urgency=low

      * Added dbus set_volume method
      * Added root-group-bottom-pos config option
      * Notification icon visibility on light backgrounds improved
      * Minor build changes & bug fixes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Wed, 17 Oct 2018 21:19:49 -0700

radiotray-ng (0.2.3) unstable; urgency=low

      * Fixed playlist line ending type detection
      * Added wrap-track-info & wrap-track-info-len config options
      * Better handling of text/uri-list & text/html playlists
      * Minor build changes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Fri, 13 Jul 2018 21:30:00 -0700

radiotray-ng (0.2.2) unstable; urgency=low

      * Added copying title & artist to clipboard config option
      * Added per station notification option & editor support
      * Added dbus reload_bookmarks & quit methods
      * Minor build changes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Tue, 24 Apr 2018 21:25:51 -0700

radiotray-ng (0.2.1) unstable; urgency=low

      * Fixed editor group & station reordering
      * Added BUILD_TESTS cmake option
      * Added dbus get_config method

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 17 Feb 2018 08:52:41 -0800

radiotray-ng (0.2.0) unstable; urgency=low

      * Added contributed Bookmark Editor (Thanks Mike!)
      * Added iHeartRadio tag parsing
      * Added buffer-duration config option
      * Fixed jsoncpp build warnings breaking Arch builds
      * Minor bug fixes

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 30 Dec 2017 16:27:34 -0800

radiotray-ng (0.1.8) unstable; urgency=low

      * Added icon middle click support for starting/stopping playback
      * Added command line help etc.
      * Added invert-menu configuration option for bottom dock users
      * Added Bluegrass station to default bookmark file
      * Fixed wrong api used for menu separators
      * Fixed output not using autoaudiosink
      * Reduced notifications if player buffers

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 07 Oct 2017 11:00:07 -0700

radiotray-ng (0.1.7) unstable; urgency=low

      * Added dbus interface
      * Added --play option for resuming playback on startup
      * Added optional notification of external bookmark file changes
      * Updated to libappindicator3

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 02 Sep 2017 11:01:19 -0700

radiotray-ng (0.1.6) unstable; urgency=low

      * new icon config overrides
      * sleep timer dialog added
      * support for gnome-settings-daemon media key api changes
      * added Fedora build instructions

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Wed, 28 Jun 2017 20:16:07 -0700

radiotray-ng (0.1.5) unstable; urgency=low

      * Fixed startup crash seen on some systems using gcc 6.x
      * Added compact-menu option to disable the use of menu separators
      * Removed ncurses requirement if appindicator library is found
      * Notification uses station name if artist tag is missing
      * Smarter boost dependency detection
      * Added rt2rtng script for converting RadioTray bookmarks
      * Fixed user-agent and release build issues
      * Logging & aboutbox now include git commit used to generate binary
      * Added optional mapping of media keys for previous/next station etc

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 22 Apr 2017 16:04:25 -0700

radiotray-ng (0.1.4) unstable; urgency=low

      * Disabling notifications prevented stopping of player
      * Fixed lintian package errors

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Thu, 23 Feb 2017 18:49:38 -0800

radiotray-ng (0.1.3) unstable; urgency=low

      * Support building on 32bit architectures
      * Added 24x24 icons and pid file to prevent multiple instances from
        running

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 18 Feb 2017 14:44:27 -0800

radiotray-ng (0.1.2) unstable; urgency=low

      *  Fixed gdk threading not being initialized before calling gtk_init
      *  Don't overwrite bad bookmarks file on startup

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Wed, 15 Feb 2017 19:47:03 -0800

radiotray-ng (0.1.1) unstable; urgency=low

	  * Fixed word_wrap infinite loop

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sun, 12 Feb 2017 12:58:39 -0800

radiotray-ng (0.1.0) unstable; urgency=low

	  * Initial release.

 -- Edward G. Bruck <ed.bruck1@gmail.com>  Sat, 11 Feb 2017 12:10:00 -0800
