=== debian/control ===
Source: radiotray-ng
Section: sound
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends: cmake (>= 3.1), 
               debhelper (>= 12~),
               lsb-release,
               libappindicator3-dev,
               libcurl4-openssl-dev,
               libjsoncpp-dev,
               libxdg-basedir-dev,
               libnotify-dev,
               libboost-filesystem-dev,
               libgstreamer1.0-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libgtk-3-dev,
               libnotify-dev,
               lsb-release,
               libbsd-dev,
               libncurses5-dev,
               libglibmm-2.4-dev,
               libwxgtk3.0-gtk3-dev,
               libwxgtk3.0-gtk3-0v5
Standards-Version: 4.5.8
Homepage: https://github.com/ebruck/radiotray-ng

Package: radiotray-ng
Architecture: any
Depends: gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad, gstreamer1.0-plugins-ugly,
         ${misc:Depends}, ${shlibs:Depends}
Description: An Internet radio player for Linux
 Radiotray-NG works directly from the system tray instead of having
 a separate main window.  It's a minimal yet fully functional
 streaming internet radio app.
