=== src/radiotray-ng/bookmarks/CMakeLists.txt ===
add_library(bookmarks STATIC bookmarks.cpp bookmarks.hpp)
