=== src/radiotray-ng/config/CMakeLists.txt ===
add_library(config STATIC config.cpp config.hpp)
