=== src/radiotray-ng/gui/ncurses/CMakeLists.txt ===
add_library(ncurses_gui STATIC ncurses_gui.cpp ncurses_gui.hpp)
