=== debian/changelog ===
radiotray-ng (0.2.10.1-0mx25) mx; urgency=medium

  * New upstream release

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 17 Nov 2025 17:38:30 +0000

radiotray-ng (0.2.8-0mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 09 Jun 2023 10:10:58 -0400
