=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@
        
override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=ON -DCMAKE_BUILD_TYPE=Release

override_dh_strip:
	dh_strip --no-automatic-dbgsym
